Package net.snowflake.client.core.json

## Class NumberConverter

- java.lang.Object
- - net.snowflake.client.core.json.NumberConverter

    public class NumberConverter
    extends Object

### Constructor Summary

Constructors
`NumberConverter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`BigDecimal` `getBigDecimal​(Object obj, int columnType)`
`BigDecimal` `getBigDecimal​(Object obj, int columnType, Integer scale)`
`Object` `getBigInt​(Object obj, int columnType)`
`byte` `getByte​(Object obj)`
`double` `getDouble​(Object obj, int columnType)`
`Duration` `getDuration​(Object obj, int columnType)`
`float` `getFloat​(Object obj, int columnType)`
`int` `getInt​(Object obj, int columnType)`
`long` `getLong​(Object obj, int columnType)`
`Period` `getPeriod​(Object obj, int columnType)`
`short` `getShort​(Object obj, int columnType)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NumberConverter

    public NumberConverter()

### Method Detail

#### getByte

    public byte getByte​(Object obj)

#### getPeriod

    public Period getPeriod​(Object obj,
                            int columnType)
                     throws SFException

Throws:
  `SFException`

#### getDuration

    public Duration getDuration​(Object obj,
                                int columnType)
                         throws SFException

Throws:
  `SFException`

#### getShort

    public short getShort​(Object obj,
                          int columnType)
                   throws SFException

Throws:
  `SFException`

#### getInt

    public int getInt​(Object obj,
                      int columnType)
               throws SFException

Throws:
  `SFException`

#### getLong

    public long getLong​(Object obj,
                        int columnType)
                 throws SFException

Throws:
  `SFException`

#### getBigDecimal

    public BigDecimal getBigDecimal​(Object obj,
                                    int columnType)
                             throws SFException

Throws:
  `SFException`

#### getBigDecimal

    public BigDecimal getBigDecimal​(Object obj,
                                    int columnType,
                                    Integer scale)
                             throws SFException

Throws:
  `SFException`

#### getFloat

    public float getFloat​(Object obj,
                          int columnType)
                   throws SFException

Throws:
  `SFException`

#### getDouble

    public double getDouble​(Object obj,
                            int columnType)
                     throws SFException

Throws:
  `SFException`

#### getBigInt

    public Object getBigInt​(Object obj,
                            int columnType)
                     throws SFException

Throws:
  `SFException`